{% extends '@RadditApp/forum_base.html.twig' %}

{% block page_classes %}edit-forum-page{% endblock %}

{% block title %}{{ 'edit_forum.title'|trans({'%forum%': forum.name}) }}{% endblock %}

{% block body %}
  {{ form_start(form) }}
    {{ form_row(form.name) }}

    {{ form_row(form.title) }}

    {{ form_row(form.description) }}

    {% if form.featured is defined %}
      {{ form_row(form.featured) }}
    {% endif %}

    <div class="row">
      {{ form_widget(form.submit) }}

      {% if form.delete is defined %}
        {{ form_widget(form.delete, {attr: {class: 'delete-forum'}}) }}
      {% endif %}
    </div>
  {{ form_end(form) }}
{% endblock %}

{% block javascripts %}
  {{ parent() }}

  <script>
    $('.delete-forum').click(function () {
      return confirm(Translator.trans('forum_form.confirm_delete'));
    });
  </script>
{% endblock %}
